Class | Bio::TargetP::Report
In: | lib/bio/appl/targetp/report.rb
Parent: | Object

# A parser and container class for TargetP report.

### Methods

entry_id length loc name new query_len rc

### Constants

DELIMITER | = | "\n \n" |  | Delimiter
RS | = | DELIMITER |  | Delimiter

### External Aliases

prediction | -> | pred

### Attributes

cleavage_site_prediction | [R] | Returns ‘included’ or ‘not included’. If the value is ‘included’, Bio::TargetP::Report#prediction[‘TPlen’] contains a valid value.
cutoff | [R] | Returns a Hash of cutoff values.
networks | [R] | Returns ``PLANT’’ or ``NON-PLANT’’ networks.

prediction

[R]

Returns a Hash of the prediction results.

{"Name"=>"MGI_2141503", "Loc."=>"_", "RC"=>3, "SP"=>0.271,

     "other"=>0.844, "mTP"=>0.161, "cTP"=>0.031, "Length"=>640}

Keys: Name, Len, SP, mTP, other, Loc, RC Optional key for PLANT networks: cTP Optional key in Cleavage site: TPlen

Use ‘Length’ and ‘Loc.’ instead of ‘Len’ and ‘Loc’ respectively for the version 1.0 report.

query_sequences | [R] | Returns the query sequences.
version | [R] | Returns the program version.

### Public Class methods

new(str)

Sets output report.

[Source]

        # File lib/bio/appl/targetp/report.rb, line 63
    63:       def initialize(str)
    64:         @version                  = nil
    65:         @query_sequences          = nil
    66:         @cleavage_site_prediction = nil
    67:         @networks                 = nil
    68:         @prediction               = {}
    69:         @cutoff                   = {}
    70:         parse_entry(str)
    71:       end

### Public Instance methods

entry_id()

Alias for name

length()

Alias for query_len

loc()

Returns the predicted localization signal:

1. S (Signal peptide)
2. M (mTP)
3. C (cTP)
4. *
5. _

[Source]

         # File lib/bio/appl/targetp/report.rb, line 97
     97:       def loc
     98:         if @prediction['Loc']
     99:           @prediction['Loc']   # version 1.0
    100:         else
    101:           @prediction['Loc.']  # version 1.1
    102:         end
    103:       end

name()

Returns the name of query sequence.

[Source]

        # File lib/bio/appl/targetp/report.rb, line 76
    76:       def name
    77:         @prediction['Name']
    78:       end

query_len()

Returns length of query sequence.

[Source]

        # File lib/bio/appl/targetp/report.rb, line 82
    82:       def query_len
    83:         if @prediction['Len']
    84:           @prediction['Len']
    85:         else
    86:           @prediction['Length']
    87:         end
    88:       end

rc()

Returns RC.

[Source]

         # File lib/bio/appl/targetp/report.rb, line 106
    106:       def rc
    107:         @prediction['RC']
    108:       end

[Validate]